! ===========================================================================
!   Inform Language Definition File: Esperanto
!
!   (c) Graham Nelson 1997
!   versio 0.1; Tradukita de David Welbourn 2001
! ---------------------------------------------------------------------------
System_file;
! ---------------------------------------------------------------------------
!   Part I.   Preliminaries
! ---------------------------------------------------------------------------
Constant LanguageVersion = "Traduko esperanta, versio 0.1";

Class  CompassDirection
  with article "la", number 0
  has  scenery;
Object Compass "kompaso" has concealed;
IFNDEF WITHOUT_DIRECTIONS;
CompassDirection -> n_obj "norda muro"
                    with name 'n//' 'norden' 'nordo' 'norda' 'muro',    door_dir n_to,
				nomon "nordan muron";
CompassDirection -> s_obj "suda muro"
                    with name 's//' 'suden' 'sudo' 'suda' 'muro',    door_dir s_to,
				nomon "sudan muron";
CompassDirection -> e_obj "orienta muro"
                    with name 'r//' 'orienten' 'oriento' 'orienta' 'muro',     door_dir e_to,
				nomon "orientan muron";
CompassDirection -> w_obj "okcidenta muro"
                    with name 'k//' 'okcidenten' 'okcidento' 'okcidenta' 'muro',     door_dir w_to,
				nomon "okcidentan muron";
CompassDirection -> ne_obj "nordorienta muro"
                    with name 'nr' 'nordorienta' 'muro', door_dir ne_to,
				nomon "nordorientan muron";
CompassDirection -> nw_obj "nordokcidenta muro"
                    with name 'nk' 'nordokcidenta' 'muro', door_dir nw_to,
				nomon "nordokcidentan muron";
CompassDirection -> se_obj "sudorienta muro"
                    with name 'sr' 'sudorienta' 'muro', door_dir se_to,
				nomon "sudorientan muron";
CompassDirection -> sw_obj "sudokcidenta muro"
                    with name 'sk' 'sudokcidenta' 'muro', door_dir sw_to,
				nomon "sudokcidentan muron";
CompassDirection -> u_obj "plafono"
                    with name 'su' 'supren' 'plafono',    door_dir u_to,
				nomon "plafonon";
CompassDirection -> d_obj "planko"
                    with name 'm//' 'malsupren' 'planko',    door_dir d_to,
				nomon "plankon";
ENDIF;
CompassDirection -> out_obj "ekstero"
                    with                               door_dir out_to;
CompassDirection -> in_obj "interno"
                    with                               door_dir in_to;
! ---------------------------------------------------------------------------
!   Part II.   Vocabulary
! ---------------------------------------------------------------------------
Constant AGAIN1__WD   = 'denove';
Constant AGAIN2__WD   = 're';
Constant AGAIN3__WD   = 'denove';
Constant OOPS1__WD    = 'refaru';
Constant OOPS2__WD    = 'um';
Constant OOPS3__WD    = 'oops';
Constant UNDO1__WD    = 'malfaru';
Constant UNDO2__WD    = 'nefaru';
Constant UNDO3__WD    = 'malfaru';

Constant ALL1__WD     = 'cxia';
Constant ALL2__WD     = 'cxiu';
Constant ALL3__WD     = 'cxiom';
Constant ALL4__WD     = 'cxio';
Constant ALL5__WD     = 'ambaux';
Constant AND1__WD     = 'kaj';
Constant AND2__WD     = 'kaj';
Constant AND3__WD     = 'kaj';
Constant BUT1__WD     = 'sed';
Constant BUT2__WD     = 'krom';
Constant BUT3__WD     = 'sed';
Constant ME1__WD      = 'mi mem';
Constant ME2__WD      = 'mi';
Constant ME3__WD      = 'mem';
Constant OF1__WD      = 'de';
Constant OF2__WD      = 'da';
Constant OF3__WD      = 'de';
Constant OF4__WD      = 'de';
Constant OTHER1__WD   = 'alia';
Constant OTHER2__WD   = 'aliaj';
Constant OTHER3__WD   = 'alia';
Constant THEN1__WD    = 'tiam';
Constant THEN2__WD    = 'tiam';
Constant THEN3__WD    = 'tiam';

Constant NO1__WD      = 'n//';
Constant NO2__WD      = 'ne';
Constant NO3__WD      = 'ne';
Constant YES1__WD     = 'j//';
Constant YES2__WD     = 'jes';
Constant YES3__WD     = 'jes';

Constant AMUSING__WD  = 'amuzanta';
Constant FULLSCORE1__WD = 'plena';
Constant FULLSCORE2__WD = 'plenpoentaro';
Constant QUIT1__WD    = 'q//';
Constant QUIT2__WD    = 'eksigxu';
Constant RESTART__WD  = 'restartu';
Constant RESTORE__WD  = 'restauxru';

Array LanguagePronouns table

   !  word       possible GNAs                   connected
   !             to follow:                      to:
   !             a     i
   !             s  p  s  p
   !             mfnmfnmfnmfn                 
      'gxi'    $$001000111000                    NULL
      'li'     $$100000000000                    NULL
      'sxi'    $$010000000000                    NULL
      'ili'    $$000111000111                    NULL;

Array LanguageDescriptors table

   !  word       possible GNAs   descriptor      connected
   !             to follow:      type:           to:
   !             a     i
   !             s  p  s  p
   !             mfnmfnmfnmfn                 
        'mia'  $$111000111000    POSSESS_PK      0
       'miaj'  $$000111000111    POSSESS_PK      0
    'cxi-tiu'  $$111000111000    POSSESS_PK      0
   'cxi-tiuj'  $$000111000111    POSSESS_PK      0
        'tiu'  $$111000111000    POSSESS_PK      1
       'tiuj'  $$000111000111    POSSESS_PK      1
        'lia'  $$111000111000    POSSESS_PK      'li'
       'liaj'  $$000111000111    POSSESS_PK      'li'
       'sxia'  $$111000111000    POSSESS_PK      'sxi'
      'sxiaj'  $$000111000111    POSSESS_PK      'sxi'
       'ilia'  $$111000111000    POSSESS_PK      'ili'
      'iliaj'  $$000111000111    POSSESS_PK      'ili'
       'gxia'  $$111000111000    POSSESS_PK      'gxi'
      'gxiaj'  $$000111000111    POSSESS_PK      'gxi'
         'la'  $$111111111111    DEFART_PK       NULL
       'luma'  $$111000111000    light           NULL
      'lumaj'  $$000111000111    light           NULL
    'malluma'  $$111000111000    (-light)        NULL
   'mallumaj'  $$000111000111    (-light)        NULL;

Array LanguageNumbers table
    'unu' 1 'du' 2 'tri' 3 'kvar' 4 'kvin' 5
    'ses' 6 'sep' 7 'ok' 8 'naux' 9 'dek' 10
    'dek unu' 11 'dek du' 12 'dek tri' 13 'dek kvar' 14 'dek kvin' 15
    'dek ses' 16 'dek sep' 17 'dek ok' 18 'dek naux' 19 'dudek' 20;

! ---------------------------------------------------------------------------
!   Part III.   Translation
! ---------------------------------------------------------------------------

[ LanguageToInformese i x word len at;
  ! convert ^s to xs.
  for (i = 2 : i < 2+buffer->1 : i++) {
    if (buffer->i == 94) buffer->i = 'x';
  }

  ! remove trailing ns.
  ! NOTE: Don't fix words like 'Simon' that might be in the dictionary as is.
  @tokenise buffer parse;
  for (x = 0 : x < parse-1 : x++) {
    word = parse-->(x*2+1);
    len = parse->(x*4+4);
    at = parse->(x*4+5);
    if (word == 0 && buffer->(at+len-1) == 'n'
        && DictionaryLookup(buffer+at,len-1)) {
      buffer->(at+len-1) = ' ';
    }
  }

  ! TODO: normalize variations of "cxi-tiu".
  ! 'cxi(-| )ti(u|o)' => 'cxi-tiu'
  ! 'ti(u|o)(n)(-| )cxi' => 'cxi-tiu'

  ! DEBUG
  !     print "^[ Buffer: |";
  !     for(i=2:i<2+buffer->1:i++)
  !         print (char) buffer->i;
  !     print "|]^";
];

! ---------------------------------------------------------------------------
!   Part IV.   Printing
! ---------------------------------------------------------------------------

Constant LanguageAnimateGender   = male;
Constant LanguageInanimateGender = neuter;

Constant LanguageContractionForms = 1;     ! Esperanto doesn't contract

[ LanguageContraction ;
  return 0;
];

Array LanguageArticles -->

 !   Contraction form 0:     
 !   Cdef   Def    Indef     
     "La "  "la "  "";             ! Articles 0: singular or plural

                   !             a           i
                   !             s     p     s     p
                   !             m f n m f n m f n m f n                 
Array LanguageGNAsToArticles --> 0 0 0 0 0 0 0 0 0 0 0 0;

[ LanguageDirection d;
   switch(d)
   {   n_to: print "norden";
       s_to: print "suden";
       e_to: print "orienten";
       w_to: print "okcidenten";
       ne_to: print "nordorienten";
       nw_to: print "nordokcidenten";
       se_to: print "sudorienten";
       sw_to: print "sudokcidenten";
       u_to: print "supren";
       d_to: print "malsupren";
       in_to: print "internen";
       out_to: print "eksteren";
       default: return RunTimeError(9,d);
   }
];

[ LanguageNumber n f;
  if (n==0)    { print "nulo"; rfalse; }
  if (n<0)     { print "minus "; n=-n; }
  if (n>=1000) { print (LanguageNumber) n/1000, " mil"; n=n%1000; f=1; }
  if (n>=100)  { if (f==1) print " ";
		 if (n/100 > 1) print (LanguageNumber) n/100;
                 print "cent"; n=n%100; f=1; }
  if (n>=10)   { if (f==1) print " ";
		 if (n/10 > 1) print (LanguageNumber) n/10;
                 print "dek"; n=n%10; f=1; }
  if (n>=1)    { if (f==1) print " "; switch(n) {
      1:  print "unu";      2:  print "du";      3:  print "tri";
      4:  print "kvar";     5:  print "kvin";    6:  print "ses";
      7:  print "sep";      8:  print "ok";	 9:  print "naux";  } }
];

[ LanguageTimeOfDay hours mins i;
   i=hours%12;
   if (i==0) i=12;
   if (i<10) print " ";
   print i, ".", mins/10, mins%10;
   if ((hours/12) > 0) print " ptm."; else print " atm.";
];

[ LanguageVerb i;
   if (i==#n$v)        { print "vidu";              rtrue; }
   if (i==#n$z)        { print "atendu";            rtrue; }
   if (i==#n$x)        { print "ekzamenu";          rtrue; }
   if (i==#n$i or 'inv' or 'inventaro')
                       { print "inventaro";         rtrue; }
   rfalse;
];

Constant NKEY__TX     = "P = posta temo  ";
Constant PKEY__TX     = "A = antauxa ";
Constant QKEY1__TX    = "  Q = dauxrigu  ";
Constant QKEY2__TX    = "Q = antauxa menuo";
Constant RKEY__TX     = "ENIRO = legu temon   ";

Constant NKEY1__KY    = 'P';
Constant NKEY2__KY    = 'p';
Constant PKEY1__KY    = 'A';
Constant PKEY2__KY    = 'a';
Constant QKEY1__KY    = 'Q';
Constant QKEY2__KY    = 'q';

Constant SCORE__TX    = "Poentaro: ";
Constant MOVES__TX    = "Movoj: ";
Constant TIME__TX     = "Tempo: ";
Constant CANTGO__TX   = "Vi ne povas iri tiel.";
Constant FORMER__TX   = "via antauxa memo";
Constant YOURSELF__TX = "vin mem";
Constant DARKNESS__TX = "Mallumo";

Constant THOSET__TX   = "tiuj";
Constant THAT__TX     = "tiu";
Constant OR__TX       = " aux ";
Constant NOTHING__TX  = "nenio";
Constant IS__TX       = " estas";
Constant ARE__TX      = " estas";
Constant IS2__TX      = "estas ";
Constant ARE2__TX     = "estas ";
Constant AND__TX      = " kaj ";
Constant WHOM__TX     = "kiu ";
Constant WHICH__TX    = "kiu ";

[ tiu obj;
  if (obj == player) { print "vi"; return; }
  if (obj has pluralname) { print "tiuj"; return; }
  if (obj has animate)
  {   if (obj has female) { print "sxi"; return; }
      else if (obj hasnt neuter) { print "li"; return; }
  }
  print "tiu";
];
[ tiun obj;
  if (obj == player) { print "vin"; return; }
  if (obj has pluralname) { print "tiujn"; return; }
  if (obj has animate)
  {   if (obj has female) { print "sxin"; return; }
      else if (obj hasnt neuter) { print "lin"; return; }
  }
  print "tiun";
];
[ gxin obj;
  if (obj == player) { print "vin"; return; }
  if (obj has pluralname) { print "ilin"; return; }
  if (obj has animate)
  {   if (obj has female) { print "sxin"; return; }
	else if (obj hasnt neuter) { print "lin"; return; }
  }
  print "gxin";
];
[ CTiu obj;
  if (obj == player) { print "Vi"; return; }
  if (obj has pluralname) { print "Tiuj"; return; }
  if (obj has animate)
  {   if (obj has female) { print "Sxi"; return; }
      else if (obj hasnt neuter) { print "Li"; return; }
  }
  print "Tiu";
];
[ CGxi obj;
  if (obj == player) { print "Vi"; return; }
  if (obj has pluralname) { print "Ili"; return; }
  if (obj has animate)
  {   if (obj has female) { print "Sxi"; return; }
      else if (obj hasnt neuter) { print "Li"; return; }
  }
  print "Gxi";
];
[ xj obj;
  if (obj has pluralname) print "j";
];

[ La_xxn o;		! use instead of (the) if accusative case
   if (o hasnt proper) print "la ";  xxn(o);
];
[ xxn o;		! use instead of (a) if accusative case
   if (o==0) { print "nenion"; rtrue; }
   switch(metaclass(o))
   {   Routine: print "<routine ", o, ">"; rtrue;
       String:  print "<string ~", (string) o, "~>"; rtrue;
       nothing: print "<illegal object number ", o, ">"; rtrue;
   }
   if (o==player) { print "vin"; rtrue; }
   if (o.&nomon~=0 && PrintOrRun(o,nomon,1)~=0) rtrue;
   !TODO? if (o.&nomo~=0 && PrintCalcNamon(o,nomo)~=0) rtrue;
   PrintShortName(o);	! <- give up and use default subjective case name
];

[ LanguageLM n x1;
  Prompt:  print "^>";
  Miscellany:
           switch(n)
           {   1: "(konsideras la unua dek ses objektoj nur)^";
               2: "Estas nenio fari!";
               3: print " Vi mortis ";
               4: print " Vi venkis ";
               5: print "^Cxu vi volus fari? RESTARTU, RESTAUXRU sxparitan ludon";
                  #IFDEF DEATH_MENTION_UNDO;
                  print ", MALFARU vian lastan movon";
                  #ENDIF;
                  if (TASKS_PROVIDED==0)
                      print ", montru la PLENAn poentaron por tiu ludo";
                  if (deadflag==2 && AMUSING_PROVIDED==0)
                      print ", vidu iujn sugestojn por AMUZANTAj aferoj fari";
                  ", aux EKSIGXU?";
               6: "[Via interpretanto ne provizas ~malfaru~. Pardonu!]";
               7: "~Malfaru~ malsukcesis. [Ne cxiuj interpretantoj provizas gxin.]";
               8: "Bonvolu doni unu de la respondoj superaj.";
               9: "^Estas nun nigrege en cxi tie!";
              10: "Mi petas pro via pardono?";
              11: "[Vi ne povas ~malfaru~ kiu ne faris!]";
              12: "[Vi ne povas ~malfaru~ dufoje en serio. Pardonu!]";
              13: "[Antauxa vico malfaras.]";
              14: "Pardonu, tio ne povas esti korektita.";
              15: "Pensu nenion pri gxi.";
              16: "~Upso~ povas nur korektas unu vorton.";
              17: "Estas nigrega, kaj vi ne povas vidi io ajn.";
              18: print "vin mem";
              19: "Tiel bonvidanta kiel iam.";           
              20: "Ripeti ordonon ke estas simila al ~rano, saltu~,
			nur tajpu ~denove~, ne ~rano, denove~.";
              21: "Vi povas apenaux ripeti tio.";
              22: "Vi ne povas komenci kun como.";
              23: "Vi sxajnas voli diri al iu,
		   sed mi ne povas vidi kiun.";
              24: "Vi ne povas diri al ", (the) x1, ".";
              25: "Diri al iu, provu ~iu, saluton~ aux similan.";
              26: "(unue prenas ", (the) not_holding, ")";
              27: "Mi ne komprenis tia frazon.";
              28: print "Mi nur komprenos vin gxis volas ";
              29: "Mi ne komprenis tia numeron.";
              30: "Vi ne povas vidi tian objekton.";
              31: "Vi sxajnis diri tro malgrandan!";
              32: "Vi ne portas tio!";
              33: "Vi ne povas uzi multoblajn objektojn kun tia verbo.";
              34: "Vi povas nur uzi multoblajn objektojn unu foje sur vico.";
              35: "Mi estas ne certe al kio ~", (address) pronoun_word,
                  "~ aludas.";
              36: "Vi esceptis ion ke estas ne inkluzivinta cxiaokaze!";
              37: "Vi povas nur fari kion al io vivanta.";
              38: "Tiu ne estas verbo ke mi rekonas.";
              39: "Tiu ne estas io ke vi devas aludi dum tiu ludo.";
              40: "Vi ne povas vidi ~", (address) pronoun_word,
                  "~ (", (the) pronoun_obj, ") cximomente.";
              41: "Mi ne komprenis la vojon ke finis.";
              42: if (x1==0) print "Nenio";
                  else print "Nur ", (number) x1;
                  print " de tioj estas haveblaj.";
              43: "Estas nenio fari!";
              44: "Estas nenio havebla!";
              45: print "Kiun vi signifas, ";
              46: print "Kion vi signifas, ";
              47: "Pardonu, vi povas havi nur unu eron cxi tie. Kio precize?";
              48: print "Kiun vi volas";
                  if (actor~=player) print " ", (the) actor;
                  PrintCommand(); print "?^";
              49: print "Kion vi volas";
                  if (actor~=player) print " ", (the) actor;
                  PrintCommand(); print "?^";
              50: print "Via poentaro jxus ";
                  if (x1 > 0) print "kreskis"; else { x1 = -x1; print "malkreskis"; }
                  print " po ", (number) x1, " poento";
                  if (x1 > 1) print "j";
              51: "(Cxar io drama okazis, via listo da ordonoj
			estas mallongigita.)";
              52: "^Tajpu numeron de 1 al ", x1,
                  ", 0 remontri, aux pusxu ENIRU.";
              53: "^[Bonvolu pusxi SPACO.]";
           }

  ListMiscellany:
           switch(n)
           {   1: print " (provizas lumon)";
               2: print " (kiu estas fermita)";
               3: print " (fermita kaj provizas lumon)";
               4: print " (kiu estas malplena)";
               5: print " (malplena kaj provizas lumon)";
               6: print " (kiu estas fermita kaj malplena)";
               7: print " (fermita, malplena, kaj provizas lumon)";
               8: print " (provizas lumon kaj surprovanta";
               9: print " (provizas lumon";
              10: print " (surprovanta";
              11: print " (kiu estas ";
              12: print "malfermita";
              13: print "malfermita sed malplena";
              14: print "fermita";
              15: print "fermita kaj sxlosigxita";
              16: print " kaj malplena";
              17: print " (kiu estas malplena)";
              18: print " enhavas ";
              19: print " (sur ";
              20: print ", sur ";
              21: print " (en ";
              22: print ", en ";
           }

  Pronouns: switch(n)
           {   1: print "Cximomente, ";
               2: print "signifas ";
               3: print "estas nekonata";
               4: "la ludo konas ne pronomojn.";
           }
  Order:          print (The) x1; " havas pli bonajn aferojn fari.";
  Quit:    switch(n)
           {   1: print "Bonvolu respondi jes aux ne.";
               2: print "Cxu vi estas certa ke vi volas eksigxi? ";
           }
  Restart: switch(n)
           {   1: print "Cxu vi estas certa ke vi volas restarti? ";
               2: "Malsukcesis.";
           }
  Restore: switch(n)
           {   1: "Restauxrado malsukcesis.";
               2: "Bone.";
           }
  Save:    switch(n)
           {   1: "Sxparado malsukcesis.";
               2: "Bone.";
           }
  Verify:  switch(n)
           {   1: "La luda dosiero estas konfirmita tiel tuta.";
               2: "La luda dosiero ne estas konfirmita tiel tuta,
                   kaj gxi estas eble koruptita.";
           }
  ScriptOn: switch(n)
           {   1: "Transskribado estas jam funkcianta.";
               2: "Komenco de transskribo de";
               3: "Provo komenci transskribon malsukcesis.";
           }
  ScriptOff: switch(n)
           {   1: "Transskribado estas jam nefunkcianta.";
               2: "^Fino de transskribo.";
               3: "Provo fini transskribon malsukcesis.";
           }
  NotifyOn:       "Poentara avizo estas funkcianta.";
  NotifyOff:      "Poentara avizo estas nefunkcianta.";
  Places:         print "Vi vizitis: ";
  Objects: switch(n)
           {   1: "Objektoj ke vi manipulis:^";
               2: "Nenio.";
               3: print "   (surprovita)";
               4: print "   (portita)";
               5: print "   (fordonita)";
               6: print "   (en ", (name) x1, ")";
               7: print "   (en ", (the) x1, ")";
               8: print "   (en ", (the) x1, ")";
               9: print "   (sur ", (the) x1, ")";
              10: print "   (perdita)";
           }
  Score:          if (deadflag) print "En tiu ludo"; else print "Gxis nun";
                  print ", vi poentaris ", score, " de ebla ", MAX_SCORE,
                  ", en ", turns, " vico";
                  if (turns>1) print "j"; return;
  FullScore: switch(n)
           {   1: print "La poentaro kompletig";
		  if (deadflag) print "i"; else print "a";
                  "s jene:^";
               2: "trovas diversajn erojn";
               3: "vizitas diversajn lokojn";
               4: print "sumo (de ", MAX_SCORE; ")";
           }
  Inv:     switch(n)
           {   1: "Vi portas nenion.";
               2: print "Vi portas";
           }
  Take:    switch(n)
           {   1: "Prenita.";
               2: "Vi estas cxiam mem-posedita.";
               3: "Mi ne supozas ke ", (the) x1, " sxatus tiun.";
               4: print "Vi devus ";
                  if (x1 has supporter) print "iri de sur ", (the) x1;
		  else print "eliri ", (la_xxn) x1; " unue.";
               5: "Vi jam havas ", (tiun) x1, ".";
               6: print_ret (CTiu) name,
                  " sxajnas aparteni al ", (the) x1, ".";
               7: print_ret (CTiu) name,
                  " sxajnas esti parto de ", (the) x1, ".";
               8: print_ret (CTiu) x1, " ne estas havebla", (xj) x1, ".";
               9: print_ret (The) x1, " ne estas malfermita.";
              10: print_ret (CTiu) x1, " estas apenaux portebla", (xj) x1, ".";
              11: print_ret (CTiu) x1, " estas senmoviga", (xj) x1, ".";
              12: "Vi portas tro objektojn jam.";
              13: "(metas ", (la_xxn) x1, " en ", (la_xxn) SACK_OBJECT,
                  " spacigi)";
           }
  Drop:    switch(n)
           {   1: print (The) x1; " estas jam cxi tie.";
               2: "Vi ne havas ", (tiun) x1, ".";
               3: "(unue devestas ", (the) x1, ")";
               4: "Faligis.";
           }
  Remove:  switch(n)
           {   1: print_ret (CGxi) x1, " estas bedauxrinde fermita", (xj) x1, ".";
               2: if (x1 has pluralname) print "Sed ili";
                  else print "Sed gxi"; " ne estas tie nun.";
               3: "Forigis.";
           }
  PutOn:   switch(n)
           {   1: "Vi devas porti ", (the) x1, " antaux vi povas meti ",
		  (gxin) x1, " sur alian ion.";
               2: "Vi ne povas meti io sur gxi mem.";
               3: "Metado de objektoj sur ", (the) x1, " atingus neniel.";
               4: "Vi malhavas la lerteco.";
               5: "(unue devestas ", (gxin) x1, ")^";
               6: "Estas ne plia spaco sur ", (the) x1, ".";
               7: "Faris.";
               8: "Vi metas ", (la_xxn) x1, " sur ", (the) second, ".";
           }
  Insert:  switch(n)
           {   1: "Vi devas porti ", (the) x1, " antaux vi povas meti ",
		  (gxin) x1, " en alian ion.";
               2: print_ret (CTiu) x1, " ne povas enhavi objektojn.";
               3: print_ret (The) x1, " estas fermita.";
               4: "Vi devas devesti ", (gxin) x1, " unue.";
               5: "Vi ne povas meti io en gxin mem.";
               6: "(unue devestas ", (gxin) x1, ")^";
               7: "Estas ne plia spaco en ", (the) x1, ".";
               8: "Faris.";
               9: "Vi metas ", (la_xxn) x1, " en ", (la_xxn) second, ".";
           }
  EmptyT:  switch(n)
           {   1: print_ret (The) x1, " ne povas enhavi objektojn.";
               2: print_ret (The) x1, " estas fermita.";
               3: print_ret (The) x1, " estas malplena jam.";
           }
  Give:    switch(n)
           {   1: "Vi ne portas ", (la_xxn) x1, ".";
               2: "Vi jxonglas ", (la_xxn) x1,
                  " por tempo, sed ne do atingas multe.";
               3: print (The) x1, " ne sxajnas interesita.";
           }
  Show:    switch(n)
           {   1: "Vi ne portas ", (la_xxn) x1, ".";
               2: print_ret (The) x1, " estas ne impresita.";
           }
  Enter:   switch(n)
           {   1: print "Sed vi estas jam ";
                  if (x1 has supporter) print "sur "; else print "en ";
                  print_ret (the) x1, ".";
               2: print_ret (CTiu) x1, " ne estas io ke vi povas eniri.";
               3: "Vi ne povas eniri la fermitan ", (xxn) x1, ".";
               4: "Vi povas nur eniri ion liberstaratan.";
               5: print "Vi iras ";
                  if (x1 has supporter) print "sur "; else print "en ";
                  print_ret (la_xxn) x1, ".";
               6: if (x1 has supporter) "(iras de sur ", (the) x1, ")";
		  else "(eliras ", (la_xxn) x1, ")";
               7: if (x1 has supporter) "(suriras ", (la_xxn) x1, ")^";
                  if (x1 has container) "(eniras ", (la_xxn) x1, ")^";
                  "(eniras ", (la_xxn) x1, ")^";
           }
  GetOff:         "Sed vi ne estas sur ", (the) x1, " cximomente.";
  Exit:    switch(n)
           {   1: "Sed vi ne estas en io ajn cximomente.";
               2: "Vi ne povas eliri la fermitan ", (xxn) x1, ".";
               3: print "Vi ";
                  if (x1 has supporter) print "iras de sur ", (the) x1;
		  else print "eliras ", (la_xxn) x1;
                  print_ret ".";
           }
  VagueGo:       "Vi devos diri en kiu kompasdirekto iri.";

  Go:      switch(n)
           {   1: print "Vi devos ";
                  if (x1 has supporter) print "iri de sur ", (the) x1;
		  else print "eliri ", (la_xxn) x1;
                  print_ret " unue.";
               2: "Vi ne povas iri tiel.";
               3: "Vi ne povas grimpi ", (la_xxn) x1, ".";
               4: "Vi ne povas descendi de ", (the) x1, ".";
               5: "Vi ne povas, cxar ", (the) x1, " estas en la vojo.";
               6: "Vi ne povas, cxar ", (the) x1, " kondukas nenie.";
           }

  LMode1:  " estas nun en gxia normala ~mallonge~ modo,
	     kiu donas longajn priskribojn de lokoj neniam antaux
	     vizitita kaj mallongajn priskribojn kontrauxe.";
  LMode2:  " estas nun en gxia ~longe~ modo, kiu cxiam donas
	     longajn priskribojn de lokoj (ecx se vi estis tie antaux).";
  LMode3:  " estas nun en gxia ~mallongege~ modo, kiu cxiam donas
	     mallongajn priskribojn de lokoj (ecx se vi ne estis tie antaux).";

  Look:    switch(n)
           {   1: print " (sur ", (the) x1, ")";
               2: print " (en ", (the) x1, ")";
               3: print " (tiel "; @print_obj x1; print ")";
               4: print "^Sur ", (the) x1;
                  WriteListFrom(child(x1),
                      ENGLISH_BIT + RECURSE_BIT + PARTINV_BIT
                      + TERSE_BIT + ISARE_BIT + CONCEAL_BIT);
                  ".";
         default: if (x1~=location)
                  {   if (x1 has supporter) print "^Sur "; else print "^En ";
                      print (the) x1, " vi";
                  }
                  else print "^Vi";
                  print " povas ";
                  if (n==5) print "ankaux "; print "vidi ";
                  WriteListFrom(child(x1),
                      ENGLISH_BIT + WORKFLAG_BIT + RECURSE_BIT
                      + PARTINV_BIT + TERSE_BIT + CONCEAL_BIT);
                  if (x1~=location) ".";
                  " cxi tie.";
           }

  Examine: switch(n)
           {   1: "Mallumo, substantivo.  Foresto de lumon kun kiu vidi.";
               2: "Vi vidas nenion specialan pri ", (the) x1, ".";
               3: print (The) x1, " estas cximomente";
		  if (x1 hasnt on) print "mal";
		  print "sxaltita", (xj) x1, " kaj ";
                  if (x1 hasnt on) print "ne"; "funkcianta", (xj) x1, ".";
           }
  LookUnder: switch(n)
           {   1: "Sed estas mallume.";
               2: "Vi trovas nenio de intereso.";
           }

  Search:  switch(n)
           {   1: "Sed estas mallume.";
               2: "Estas nenio sur ", (the) x1, ".";
               3: print "Sur ", (the) x1;
                  WriteListFrom(child(x1),
                      TERSE_BIT + ENGLISH_BIT + ISARE_BIT + CONCEAL_BIT);
                  ".";
               4: "Vi trovas nenion de intereso.";
               5: "Vi ne povas vidi internon, cxar ", (the) x1, " estas fermita.";
               6: print_ret (The) x1, " estas malplena.";
               7: print "En ", (the) x1;
                  WriteListFrom(child(x1),
                      TERSE_BIT + ENGLISH_BIT + ISARE_BIT + CONCEAL_BIT);
                  ".";
           }

  Unlock:  switch(n)
           {   1: print_ret (CTiu) x1,
                  " ne sxajnas esti io ke vi povas malsxlosi.";
               2: print_ret (CTiu) x1, " estas malsxlosita", (xj) x1,
		  " cximomente.";
               3: print_ret (CTiu) x1, " ne sxajnas tauxgi la seruron.";
               4: "Vi malsxlosas ", (the) x1, ".";
           }
  Lock:    switch(n)
           {   1: print_ret (CTiu) x1,
                  " ne sxajnas esti io ke vi povas sxlosi.";
               2: print (CTiu) x1, " estas sxlosita", (xj) x1,
		  " cximomente.";
               3: "Unue vi devas fermi ", (the) x1, ".";
               4: print_ret (CTiu) x1, " ne sxajnas tauxgi la seruron.";
               5: "Vi sxlosas ", (the) x1, ".";
           }

  SwitchOn: switch(n)
           {   1: print_ret (CGxi) x1, " estas ne io ke vi povas sxalti.";
               2: print_ret (CGxi) x1, " estas jam funkcianta.";
               3: "Vi sxaltas ", (the) x1, ".";
           }
  SwitchOff: switch(n)
           {   1: print_ret (CGxi) x1, " estas ne io ke vi povas sxalti.";
               2: print_ret (CGxi) x1, " estas jam nefunkcianta.";
               3: "Vi malsxaltas ", (the) x1, ".";
           }

  Open:    switch(n)
           {   1: print_ret (CGxi) x1, " estas ne io ke vi povas malfermi.";
               2: print_ret (CGxi) x1, " sxajnas esti sxlosita", (xj) x1, ".";
               3: print_ret (CGxi) x1, " estas jam malfermita.";
               4: print "Vi malfermas ", (the) x1, ", kio malkasxas ";
                  if (WriteListFrom(child(x1),
                      ENGLISH_BIT + TERSE_BIT + CONCEAL_BIT)==0) "nenion.";
                  ".";
               5: "Vi malfermas ", (the) x1, ".";
           }

  Close:   switch(n)
           {   1: print_ret (CGxi) x1, " estas ne io ke vi povas fermi.";
               2: print_ret (CGxi) x1, " estas jam fermita.";
               3: "Vi fermas ", (the) x1, ".";
           }
  Disrobe: switch(n)
           {   1: "Vi ne surprovas ", (tiun) x1, ".";
               2: "Vi demetas ", (the) x1, ".";
           }
  Wear:    switch(n)
           {   1: "Vi ne povas surprovi ", (tiun) x1, "!";
               2: "Vi ne portas ", (tiun) x1, "!";
               3: "Vi jam surprovas ", (tiun) x1, "!";
               4: "Vi surprovas ", (the) x1, ".";
           }
  Eat:     switch(n)
           {   1: print_ret (CGxi) x1, " estas evidente nemangxebla",
		  (xj) x1, ".";
               2: "Vi mangxas ", (the) x1, ". ",
		   (CTiu) x1, " estas ne malbona", (xj) x1, ".";
           }
  Yes, No:        "Tiu estis retorika demando.";
  Burn:           "Cxi tiu dangxera ago atingus malmulte.";
  Pray:           "Ne praktikaj rezultoj okazas de via pregxo.";
  Wake:           "La turura vero estas ke cxi tiu ne estas songxo.";
  WakeOther:      "Tiu ago sxajnas esti nenecesa.";
  Kiss:           "Reteni vian menson sur la ludo.";
  Think:          "Kia bona ideo.";
  Smell:          "Vi flaras nenion malatendite.";
  Listen:         "Vi auxdas nenion malatendite.";
  Taste:          "Vi gustas nenion malatendite.";
  Touch:   switch(n)
           {   1: "Reteni viajn manojn al vi mem!";
               2: "Vi tusxas nenion malatendite.";
               3: "Se vi pensas ke gxi helpos.";
           }
  Dig:            "Fosado atingus neniel cxi tie.";
  Cut:            "Trancxado de ", (tiu) x1, " atingus malmulte.";
  Jump:           "Vi saltas vane sur la loko.";
  JumpOver, Tie:  "Vi atingus neniel de cxi tiu ago.";
  Drink:          "Estas nenio tauxga trinki cxi tie.";
  Fill:           "Sed tie estas ne akvo cxi tie porti.";
  Sorry:          "Ho, ne pardonpetu.";
  Strong:         "Realaj aventuristoj ne uzas tian lingvon.";
  Mild:           "Tute.";
  Attack:         "Perforto ne estas la respondo al tiu.";
  Swim:           "Estas ne suficxa akvo en kiu to swim.";
  Swing:          "Estas nenio konvena balanci cxi tie.";
  Blow:           "Vi ne povas utile blovi ", (tiun) x1, ".";
  Rub:            "Vi atingas neniel de tiu ago.";
  Set:            "Ne, vi ne povas gxustigi ", (tiun) x1, ".";
  SetTo:          "Ne, vi ne povas gxustigi ", (tiun) x1, " al cxio.";
  WaveHands:      "Vi mansignas stulte.";
  Wave:    switch(n)
           {   1: "Sed vi ne portas ", (tiun) x1, ".";
               2: "Vi vidigxas ridinde kiam svingas ", (la_xxn) x1, ".";
           }
  Pull, Push, Turn:
           switch(n)
           {   1: print_ret (CGxi) x1, " estas senmoviga", (xj) x1, ".";
               2: "Vi ne povas.";
               3: "Nenio evidente okazas.";
               4: "Tiu estus malpli bonmaniera.";
           }
  PushDir: switch(n)
           {   1: "Cxu estas la plej bona ideo ke vi povas pensi?";
               2: "Tiu estas ne direkto.";
               3: "Al tia direkto vi ne povas.";
           }
  Squeeze: switch(n)
           {   1: "Retenu viajn manojn al vi mem.";
               2: "Vi atingas neniel per tiu.";
           }
  ThrowAt: switch(n)
           {   1: "Estas vane.";
               2: "Vi malhavas la nervon kiam la kriza momento venas.";
           }
  Tell:    switch(n)
           {   1: "Vi diras al vi mem iom.";
               2: "Cxi tiu provokas ne reagon.";
           }
  Answer, Ask:    "Estas ne respondo.";
  Buy:            "Neniu vendas ion ajn.";
  Sing:           "Via kantado estas abomeninda.";
  Climb:          "Mi ne pensas ke vi atingus multe per tiu.";
  Wait:           "Tempo pasas.";
  Sleep:          "Vi ne sentas tro dormetema.";
  Consult:        "Vi trovas nenion de intereso en ", (the) x1, ".";
];

! ---------------------------------------------------------------------------
