! ----------------------------------------------------------------------------
!  GRAMMAR:  Grammar table entries for the standard verbs library.
!
!  Supplied for use with Inform 6                         Serial number 970918
!                                                                  Release 6/7
!  (c) Graham Nelson 1993, 1994, 1995, 1996, 1997
!      but freely usable (see manuals)
! ----------------------------------------------------------------------------
!  The "meta-verbs", commands to the game rather than in the game, come first:
! ----------------------------------------------------------------------------
!   versio 0.1; Tradukita de David Welbourn 2001

System_file;

Verb meta 'poentaro'
                *                                -> Score;
Verb meta 'plenpoentaro' 'plena'
                *                                -> FullScore
                * 'poentaro'                     -> FullScore;
! eksigxi=(to resign), cxesi=(to cease), morti=(to die)
Verb meta 'q//' 'eksigxu' 'cxesigu' 'mortu'
                *                                -> Quit;
! restauxri=(to restore)
Verb meta 'restauxru'
                *                                -> Restore;
! starti=(to start (off),intr.), komenci=(to begin), eki=(to start)
Verb meta 'restartu' 'rekomencu' 'reeku'
                *                                -> Restart;
Verb meta 'konfirmu'
                *                                -> Verify;
! sxparu(=to save,eg:money)
Verb meta 'sxparu'
                *                                -> Save;
Verb meta 'transskribu'
                *                                -> ScriptOn
                * 'nee'/'n//'                    -> ScriptOff
                * 'jese'/'j//'                   -> ScriptOn;
Verb meta 'netransskribu'
                *                                -> ScriptOff;
! superbrief
Verb meta 'mallongege'
                *                                -> LMode3;
! verbose
Verb meta 'longe' 'longege'
                *                                -> LMode2;
! brief
Verb meta 'mallonge' 'normale'
                *                                -> LMode1;
! nouns
Verb meta 'pronomoj'
                *                                -> Pronouns;
Verb meta 'avizu'
		*				 -> NotifyOn
                * 'jese'/'j//'                   -> NotifyOn
                * 'nee'/'n//'                    -> NotifyOff;
Verb meta 'neavizu'
		*				 -> NotifyOff;
Verb meta 'versio'
                *                                -> Version;
#IFNDEF NO_PLACES;
Verb meta 'lokoj'
                *                                -> Places;
Verb meta 'objektoj'
                *                                -> Objects;
#ENDIF;

! ----------------------------------------------------------------------------
!  Gramatiko por neerarado / [Debugging grammar]
! ----------------------------------------------------------------------------

#ifdef DEBUG;
Verb meta 'trace'
                *                                -> TraceOn
                * number                         -> TraceLevel
                * 'on'                           -> TraceOn
                * 'off'                          -> TraceOff;
Verb meta 'actions'
                *                                -> ActionsOn
                * 'on'                           -> ActionsOn
                * 'off'                          -> ActionsOff;
Verb meta 'routines' 'messages'
                *                                -> RoutinesOn
                * 'on'                           -> RoutinesOn
                * 'off'                          -> RoutinesOff;
Verb meta 'timers' 'daemons'
                *                                -> TimersOn
                * 'on'                           -> TimersOn
                * 'off'                          -> TimersOff;
Verb meta 'recording'
                *                                -> CommandsOn
                * 'on'                           -> CommandsOn
                * 'off'                          -> CommandsOff;
Verb meta 'replay'
                *                                -> CommandsRead;
Verb meta 'random'
                *                                -> Predictable;
Verb meta 'purloin'
                * multi                          -> XPurloin;
Verb meta 'abstract'
                * noun 'to' noun                 -> XAbstract;
Verb meta 'tree'
                *                                -> XTree
                * noun                           -> XTree;
Verb meta 'goto'
                * number                         -> Goto;
Verb meta 'gonear'
                * noun                           -> Gonear;
Verb meta 'scope'
                *                                -> Scope
                * noun                           -> Scope;
Verb meta 'showverb'
                * special                        -> Showverb;
Verb meta 'showobj'
                *                                -> Showobj
                * multi                          -> Showobj;
#endif;

! ----------------------------------------------------------------------------
!  Jen la ludaj verboj. / [And now the game verbs.]
! ----------------------------------------------------------------------------

! preni=(to take), porti=(to carry), havigi=(to procure/get)
! alpreni=(to pick up), kolekti=(to collect/gather)
Verb 'prenu' 'portu' 'havigu' 'alprenu' 'kolektu'
                * multi                          -> Take
                * multiinside 'el' noun          -> Remove
                * 'inventoro'                    -> Inv;

! stari=(to stand)
Verb 'staru'
                *                                -> Exit
                * 'sur' noun                     -> Enter;
!TODO
!Verb 'remove'
!                * held                           -> Disrobe
!                * multi                          -> Take
!                * multiinside 'el' noun          -> Remove;

Verb 'devestu'
                * held                           -> Disrobe; 

! surprovi=(to try on), provvesti=(to try clothes)
Verb 'surprovu' 'provvestu'
                * held                           -> Wear;

! provi=(to try)
Verb 'provu'
		* held 'sur' 'mi'		 -> Wear;

! demeti=(to take off clothes/to put down)
Verb 'demetu'
		* worn				 -> Disrobe
		* multiheld			 -> Drop;

! meti=(to put/place)
Verb 'metu'
                * held 'sur' 'mi'                -> Wear
                * multiexcept 'en' noun		 -> Insert
                * multiexcept 'sur' noun   	 -> PutOn
                * 'malsupren' multiheld          -> Drop
                * multiheld 'malsupren'          -> Drop;
Verb 'enigu'
                * multiexcept 'en' noun   	 -> Insert;

! malplenigi=(to make unfull), elversxi=(to pour from), elsxuti=(to pour out from)
Verb 'malplenigu' 'elversxu' 'elsxutu'
                * noun                           -> Empty
                * 'el' noun                      -> Empty
                * noun 'al'/'en'/'sur' noun      -> EmptyT
                * 'el' noun 'al'/'en'/'sur' noun -> EmptyT;

! transdoni=(to hand over)
Verb 'transigu' 'transdonu'
                * noun 'al' noun                 -> Transfer;

! faligi=(to drop/make fall), jxeti=(to throw), forjxeti=(to throw away)
! lasi fali=(to let fall)
Verb 'faligu' 'jxetu' 'forjxetu'
                * multiheld                      -> Drop
                * multiexcept 'en'/'malsupren' noun -> Insert
                * multiexcept 'sur' noun         -> PutOn
                * held 'cxe'/'al' noun           -> ThrowAt;

! doni=(to give), donaci=(to give/present)
! pagi=(to pay), oferi=(to sacrifice/offer), nutri=(to feed/nourish)
Verb 'donu' 'donacu' 'pagu' 'oferu' 'nutru'
                * held 'al' creature             -> Give
                * 'al' creature held             -> Give reverse;

! montri=(to show), prezenti=(to present/introduce), paradi=(to parade/display)
Verb 'montru' 'prezentu' 'paradu'
                * 'al' creature held             -> Show reverse
                * held 'al' creature             -> Show;

[ ADirection; if (noun in compass) rtrue; rfalse; ];
! iri=(to go), marsxi=(to march/walk), kuri=(to run),
! veturi=(to go/travel by vehicle)
Verb 'iru' 'marsxu' 'kuru' 'alveturu' 'veturu'
                *                                -> VagueGo
                * noun=ADirection                -> Go
                * noun                           -> Enter
                * 'en'/'tra' noun                -> Enter
		* 'super'/'supren' noun		 -> Climb;
Verb 'ekveturu' 'forigu' 'adiauxu'
                *                                -> VagueGo
                * noun=ADirection                -> Go
                * noun                           -> Exit
                * 'en'/'tra' noun                -> Enter
		* 'super'/'supren' noun		 -> Climb;

[GoDownSub; <<Go d_to>>;];
Verb 'descendu' 'mallevigxu' 'malsupreniru'
		*				 -> GoDown;

[GoUpSub; <<Go u_to>>;];
! supreniri=(to go up/climb), altigxi=(to become higher/climb)
Verb 'supreniru' 'altigxu'
		*				 -> GoUp
                * noun                           -> Climb
                * 'supren'/'super'/'trans' noun  -> Climb;
! grimpi=(to climb)
Verb 'grimpu'
                * noun                           -> Climb
                * 'supren'/'super'/'trans' noun  -> Climb;

Verb 'inventuro' 'inv' 'i//'
                *                                -> Inv
                * 'alta'                         -> InvTall
                * 'vasta'                        -> InvWide;

Verb 'vidu' 'v//' 'rigardu' 'spektu' 'ekzamenu' 'x//' 'kontrolu'
                *                                -> Look
                * noun                           -> Examine
                * 'cxe' noun                     -> Examine
                * 'en'/'tra'/'cxirkaux' noun     -> Search
                * 'sub' noun                     -> LookUnder
		* noun 'pri' topic	 	 -> Consult
		* 'cxe'/'en' noun 'pri' topic	 -> Consult
                * 'pri' topic 'cxe'/'en' noun    -> Consult;

! malfermi=(to unclose/open), malkovri=(to uncover)
Verb 'malfermu' 'malkovru'
                * noun                           -> Open
                * noun 'per' held                -> Unlock;
! fermi=(to close), kovri=(to cover)
Verb 'fermu' 'kovru'
                * noun                           -> Close
                * noun 'per' held                -> Lock;
Verb 'en' 'eniru' 'envenu' 'trairu' 'transu' 'transiru'
                *                                -> GoIn
                * noun                           -> Enter;
! sidi=(to sit), kusxi=(to lie/recline), kusxigxi=(to lie down)
Verb 'sidu' 'kusxu' 'kusxigxu'
                * 'sur'/'en' noun      		 -> Enter;
Verb 'interno'
                *                                -> GoIn;
Verb 'el' 'eliru' 'ekstero'
                *                                -> Exit;
! legi=(to read), konsulti=(to consult)
Verb 'legu' 'konsultu'
                * noun                           -> Examine
                * 'pri' topic 'en' noun          -> Consult
                * 'en' noun 'pri' topic          -> Consult
	        * noun 'pri' topic               -> Consult
                * topic 'en' noun                -> Consult;
Verb 'jesu' 'jes' 'j//'
                *                                -> Yes;
Verb 'neu' 'ne'
                *                                -> No;
Verb 'bedauxru'
                *                                -> Sorry;
Verb 'feko' 'fexajxo' 'fiku' 'damnu'
                *                                -> Strong
                * topic                          -> Strong;
Verb 'gxenu' 'blasfemu' 'malbenu' 'sakru' 'diable'
                *                                -> Mild
                * topic                          -> Mild;
! sercxi=(to look for,seek)
Verb 'sercxu' 'trasercxu' 'prisercxu'
                * noun                           -> Search;
Verb 'svingu' 'mansignu'
                *                                -> WaveHands
                * noun                           -> Wave;
Verb 'kondicxu' 'gxustigu' 'regxustigu'
                * noun                           -> Set
                * noun 'al' special              -> SetTo;
Verb 'tiru' 'ektiru' 'entiru'
                * noun                           -> Pull;
Verb 'pusxu' 'pusxekfunciigu' 'movu' 'movigxu' 'transloku' 'forsxovu'
     'premu' 'premfisku'
                * noun                           -> Push
                * noun noun                      -> PushDir
                * noun 'al' noun                 -> Transfer;
Verb 'turnu' 'deviu' 'inversigu' 'tvistu'
                * noun                           -> Turn;
Verb 'sxaltu' 'ensxaltu' 'aktivigu' 'ekfunkciigu'
                * noun                           -> Switchon;
Verb 'malsxaltu' 'malfunkciigu' 'elsxaltu'
                * noun				 -> Switchoff;
Verb 'sxlosu'
                * noun 'per' held                -> Lock;
Verb 'malsxlosu'
                * noun 'per' held                -> Unlock;

! ataku=(to attack), rompi=(to break), bati=(to beat/strike)
! batali=(to battle/fight), trafi=(to hit the mark),
! frapi=(to strike/hit/knock at a door)
! frakasi=(to smash/shatter), pereigi=(to wreck/"make perish")
! fendi=(to split/crack), detrui=(to destroy), murdi=(to murder)
! mortigi=(to kill), torturi=(to torture)
! pugnobati/pugnofrapi=(to punch/to hit with one's fist)
Verb 'ataku' 'rompu' 'batu' 'batalu' 'frapu' 'trafu' 'frakasu' 'pereigu'
     'fendu' 'detruu' 'murdu' 'mortigu' 'torturu' 'pugnobatu' 'pugnofrapu'
                * noun                           -> Attack;

Verb 'atendu' 'z//'
                *                                -> Wait;

! respondi=(to answer), diri=(to say), krii=(to cry out/call out)
! kriegi=(to yell/shout), paroli=(to speak)
Verb 'respondu' 'diru' 'kriu' 'kriegu' 'parolu'
                * 'al' creature 'pri' topic      -> Tell
                * topic 'al' creature            -> Answer;

! demandi=(to ask/question), peti=(to request)
Verb 'demandu' 'petu'
                * creature 'pri' topic           -> Ask
                * creature 'por' noun            -> AskFor;

! mangxi=(to eat), gluti=(to swallow)
Verb 'mangxu' 'glutu'
                * held                           -> Eat;

! dormi=(to sleep), ekdormi=(to go to sleep), dormetu=(to nap/"little sleep")
Verb 'dormu' 'ekdormu' 'dormetu'
                *                                -> Sleep;

! sensxeligi=(to peel/"make without a peel")
Verb 'sensxeligu'
                * noun                           -> Take;

! kanti=(to sing)
Verb 'kantu'
                *                                -> Sing;

! acxeti=(to buy/purchase)
Verb 'acxetu'
                * noun                           -> Buy;

! premegi=(to squeeze/"press hard"), kunpremegu=(to squeeze together)
! note: stringi=(to hug/squeeze) is listed separately.
Verb 'premegu' 'kunpremegu'
                * noun                           -> Squeeze;

! nagxi=(to swim), plongxi=(to dive/plunge)
Verb 'nagxu' 'plongxu'
                *                                -> Swim;

! balanci=(to swing), also see: svingi=(to wave/brandish)
Verb 'balancu'
               * noun                           -> Swing
               * 'sur' noun                     -> Swing;

! blovu=(to blow), spiregi=(to blow/"breathe strongly")
Verb 'blovu' 'spiregu'
                * held                           -> Blow;

Verb 'pregxu'
                *                                -> Pray;

! TODO
! Verb 'wake' 'awake' 'awaken'
!                *                                -> Wake
!                * creature                       -> WakeOther;

! kisi=(to kiss), cxirkauxpremi=(to embrace/"press around")
Verb 'kisu' 'cxirkauxpremu'
                * creature                       -> Kiss;

! stringi=(to hug/squeeze)
Verb 'stringu'
                * creature                       -> Kiss
                * noun                           -> Squeeze;

Verb 'pensu' 'meditu'
                *                                -> Think;
Verb 'flaru' 'ekflaru' 'snufu'
                *                                -> Smell
                * noun                           -> Smell;

! TODO
! Verb 'auxdu' 'sciigxu' 'listen'
!               *                                -> Listen
!               * noun                           -> Listen
!               * 'al' noun                      -> Listen;

Verb 'gustu' 'gustumu'
                * noun                           -> Taste;

! TODO
! Verb 'touch' 'fondle' 'feel' 'grope'
!                * noun                           -> Touch;
! Verb 'rub' 'shine' 'polish' 'sweep' 'clean' 'dust' 'wipe' 'scrub'
!                * noun                           -> Rub;

! ligi=(to tie/bind), kunigi=(to join/"cause to be with")
! alligi=(to attach/tie to), fiksi=(to fix), alfiksi=(to attach/fix to)
! krocxi=(to hook onto), alkrocxi=(to attach/hook to), buki=(to buckle)
Verb 'ligu' 'kunigu' 'alligu' 'fiksu' 'alfiksu' 'krocxu' 'alkrocxu' 'buku'
                * noun                           -> Tie
                * noun 'al' noun                 -> Tie;

! bruligi=(to burn (tr.)), ekbruligi=(to light,eg:to start to burn)
Verb 'bruligu' 'ekbruligu'
                * noun                           -> Burn
                * noun 'per' held                -> Burn;

! trinki=(to drink), trinketi=(to sip/"little drink")
! sorbi=(to absorb/sip/swallow)
Verb 'trinku' 'trinketu' 'sorbu'
                * noun                           -> Drink;

! plenigi=(to fill/"to cause to be full")
Verb 'plenigu'
                * noun                           -> Fill;

! trancxi=(to cut/slice, as with knife)
! tondi=(to cut/clip, as with scissors)
! pritondi,eltrancxi=(to prune), haki=(to chop/hew)
Verb 'trancxu' 'tondu' 'pritondu' 'eltrancxu' 'haku'
                * noun                           -> Cut;

! salti=(to jump), salteti=(to skip/hop/"little jump")
Verb 'saltu' 'saltetu'
                *                                -> Jump
                * 'super' noun                   -> JumpOver;

! fosi=(to dig)
Verb 'fosu'
		* noun                           -> Dig
                * noun 'per' held                -> Dig;
! ----------------------------------------------------------------------------
!  This routine is no longer used here, but provided to help existing games
!  which use it as a general parsing routine:

[ ConTopic w; consult_from = wn;
  do w=NextWordStopped();
  until (w==-1 || (w=='al' && action_to_be==##Answer));
  wn--;
  consult_words = wn-consult_from;
  if (consult_words==0) return -1;
  if (action_to_be==##Ask or ##Answer or ##Tell)
  {   w=wn; wn=consult_from; parsed_number=NextWord();
      if (parsed_number=='la' && consult_words>1) parsed_number=NextWord();
      wn=w; return 1;
  }
  return 0;
];
! ----------------------------------------------------------------------------
!  Final task: provide trivial routines if the user hasn't already:
! ----------------------------------------------------------------------------
#Stub TimePasses      0;
#Stub Amusing         0;
#Stub DeathMessage    0;
#Stub DarkToDark      0;
#Stub NewRoom         0;
#Stub LookRoutine     0;
#Stub AfterLife       0;
#Stub GamePreRoutine  0;
#Stub GamePostRoutine 0;
#Stub AfterPrompt     0;
#Stub BeforeParsing   0;
#Stub PrintTaskName   1;
#Stub InScope         1;
#Stub UnknownVerb     1;
#Stub PrintVerb       1;
#Stub ParserError     1;
#Stub ParseNumber     2;
#Stub ChooseObjects   2;
#IFNDEF PrintRank;
Constant Make__PR;
#ENDIF;
#IFDEF Make__PR;
[ PrintRank; "."; ];
#ENDIF;
#IFNDEF ParseNoun;
Constant Make__PN;
#ENDIF;
#IFDEF Make__PN;
[ ParseNoun obj; obj=obj; return -1; ];
#ENDIF;
#Default Story 0;
#Default Headline 0;
! ----------------------------------------------------------------------------
